<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="#FFFFFF">
    <com.google.android.gms.ads.formats.UnifiedNativeAdView
        android:id="@+id/ad_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_margin="6dp"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
            <RelativeLayout
                android:layout_toRightOf="@id/ad_icon"
                android:layout_width="match_parent"
                android:paddingLeft="6dp"
                android:layout_height="70dp"
                android:layout_toEndOf="@id/ad_icon"
                android:paddingStart="6dp">
                <LinearLayout
                    android:id="@+id/c"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">
                <TextView
                    android:text="Ad"
                    android:textSize="10sp"
                    android:padding="3dp"
                    android:textColor="#FFFFFF"
                    android:background="@drawable/back_ad"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dp"/>
            <TextView
                android:id="@+id/ad_headline"
                android:text="Advertisement Headline Not Fround"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="#0000FF"
                android:layout_marginBottom="3dp"
                android:ellipsize="end"
                android:maxLines="1"
                android:textSize="14sp"
                android:textStyle="bold"/>
                </LinearLayout>
            <TextView
                android:id="@+id/ad_body"
                android:layout_below="@id/c"
                android:layout_above="@+id/bar"
                android:ellipsize="end"
                android:maxLines="2"
                android:text="No Details Found From This Advertiser"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:textSize="12sp"/>
            <RelativeLayout
                android:id="@+id/bar"
                android:layout_alignParentBottom="true"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
            <TextView
                android:id="@+id/ad_advertiser"
                android:text="Advertiser Nill"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:textSize="10sp"
                android:textStyle="bold"
                android:layout_alignParentStart="true" />
            <RatingBar
                android:id="@+id/ad_stars"
                style="?android:attr/ratingBarStyleSmall"
                android:layout_alignParentRight="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:isIndicator="true"
                android:numStars="5"
                android:stepSize="0.5"
                android:layout_alignParentEnd="true" />
            </RelativeLayout>
            </RelativeLayout>
                <ImageView
                    android:id="@+id/ad_icon"
                    android:src="@drawable/bk"
                    android:layout_width="70dp"
                    android:layout_height="70dp"
                    android:scaleType="fitXY"
                    android:layout_alignParentLeft="true"
                    android:layout_alignParentStart="true" />
            </RelativeLayout>
            <View
                android:background="#CCCCCC"
                android:layout_width="match_parent"
                android:layout_height="1dp"/>
            <com.google.android.gms.ads.formats.MediaView
                android:id="@+id/ad_media"
                android:background="#CCCCCC"
                android:layout_width="match_parent"
                android:layout_height="120dp"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_marginTop="4dp"
                android:layout_marginBottom="0dp"/>
            <RelativeLayout
                android:visibility="gone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content">
            <TextView
                android:id="@+id/ad_price"
                android:text="Price Not Set"
                android:layout_margin="6dp"
                android:layout_marginLeft="20dp"
                android:layout_alignParentLeft="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="10sp"
                android:layout_alignParentStart="true"
                android:layout_marginStart="20dp" />
            <TextView
                android:id="@+id/ad_store"
                android:text="No Ad Store"
                android:layout_margin="6dp"
                android:layout_marginRight="20dp"
                android:layout_alignParentRight="true"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="10sp"
                android:layout_alignParentEnd="true"
                android:layout_marginEnd="20dp" />
            </RelativeLayout>
            <Button
                android:id="@+id/ad_call_to_action"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:textColor="#ffffff"
                android:layout_margin="6dp"
                android:textSize="10sp"
                android:background="@color/colorAccent"
                android:text="Goto Advertiser"
                android:textStyle="bold" />
            <View
                android:background="#CCCCCC"
                android:layout_width="match_parent"
                android:layout_height="1dp"/>
            </LinearLayout>
    </com.google.android.gms.ads.formats.UnifiedNativeAdView>
</LinearLayout>